Bug 1007913 - jBPM Designer should highlight properties that are required for the node
jBPM Designer should highlight properties that are required for the node
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity medium
: ER5
: ---
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-13 10:43 EDT by Radovan Synek
Modified: 2016-01-08 16:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-09-13 10:43:31 EDT
Designer should highlight required properties in properties panel - for example to mark them with different colour, or place '*' after their labels, if they are empty. It should be clear what properties should be filled in the time user is designing the process model, not just after validation.

It would be also great to highlight nodes in the diagram that have some required properties still blank.
Comment 1 Prakash Aradhya 2013-09-15 23:21:02 EDT
In addition, when the designer comes up, by default it would collapse all the properties except the core properties that are mandatory list expanded.
Comment 2 Prakash Aradhya 2013-09-16 21:24:16 EDT
Internal Whiteboard: Beta Blocker → Blocker
Not critical for Beta, but need to address for GA

Note You need to log in before you can comment on or make changes to this bug.